> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Broadcast a push notification to organization members (admin only)



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi post /v1/organizations/{id}/broadcast
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/organizations/{id}/broadcast:
    post:
      tags:
        - Organizations
      summary: Broadcast a push notification to organization members (admin only)
      operationId: postV1OrganizationsByIdBroadcast
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
          description: ID da organização
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - message
              properties:
                user_ids:
                  type: array
                  items:
                    type: string
                  description: IDs dos destinatários. Vazio = todos os membros
                title:
                  type: string
                  nullable: true
                message:
                  type: string
                data:
                  type: object
                  nullable: true
                  properties:
                    url:
                      type: string
                      nullable: true
                    actions:
                      type: array
                      items:
                        type: object
                    attachment:
                      type: object
                      nullable: true
            example:
              user_ids: []
              title: Aviso
              message: Manutenção amanhã às 14h
      responses:
        '200':
          description: Broadcast dispatched
          content:
            application/json:
              schema:
                type: object
                properties:
                  totalRecipients:
                    type: integer
                  devicesNotified:
                    type: integer
                  recipientsWithoutDevices:
                    type: array
                    items:
                      type: string
              example:
                totalRecipients: 3
                devicesNotified: 4
                recipientsWithoutDevices:
                  - user_xyz
        '400':
          description: Dados inválidos
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
              example:
                message: validation error
        '401':
          description: Não autenticado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: unauthorized
        '403':
          description: Acesso negado
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: forbidden
        '500':
          description: Erro interno do servidor
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: internal_error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````